<?php

function leerarreglo(&$arreglo,$num=23,$letra="c") {
	$arreglo=array();
	for ($i=0;$i<$num;$i++) {
		$arreglo[$i]=parametro("$letra$i","");		
	}
}

function leerarreglofast(&$arreglo,$num=23,$letra="c") {
	$arreglo=array();
	for ($i=0;$i<$num;$i++) {
		$nombre=$letra.$i;
		@$arreglo[$i]=(isset($_POST[$nombre]))?$_POST[$nombre]:$_GET[$nombre];
	}
}

function generar_combo($sql,$campo_valor,$campo_texto,&$arreglo,$texto_defecto="") {
	$filas=0;
	$resultado="";
	ejecutarsql($sql,&$filas,&$resultado);
	$arreglo=array();
	// leemos las camaras..
	$contador=0;
	if ($texto_defecto!="") {
		$arreglo[0]="";
		$arreglo[1]=$texto_defecto;
		$contador=2;
	}
	for ($i=0;$i<$filas;$i++) {	
		$arreglo[$contador]=mssql_result($resultado,$i, $campo_valor);	
		$arreglo[$contador+1]=mssql_result($resultado,$i, $campo_texto);	
		$contador+=2;
	}
}
function epochnow($segundos=0) {
	// devuelve en minutos.
	$inicio_epoch=mktime("0","0","0","1","1","2005",0);
	$hoy=mktime();
	if ($segundos) {
		$resultado=($hoy-$inicio_epoch);
	} else {
		$resultado=floor(($hoy-$inicio_epoch)/60);
	}
	return $resultado;
}



function cnvdateepoch($date) {
	if (!$date) {
		return 0;
	}
	// 25/12/2005 00:22
	// 0123456789012345
	$inicio_epoch=mktime("0","0","0","1","1","2005",0);
	$a_fechacompleta=explode("/",$date);
	$day = $a_fechacompleta[0];
	$month = $a_fechacompleta[1];	
	$year_hora = $a_fechacompleta[2]; // puede ser el aņo xxxx o aņo mas hora y minutao.	
	if (strlen($year_hora)>4) {
		$ayear=explode(" ",$year_hora);
		$year=$ayear[0];	
		$ahora=explode(":",$ayear[1]);
		$hour= $ahora[0];
		$minute= $ahora[1];
	} else {
		$year=$year_hora;
		$hour=0;
		$minute=0;
	}
	$timestamp 	= mktime($hour, $minute, 0, $month, $day, $year);
	$resultado=floor(($timestamp-$inicio_epoch)/60);	
	return $resultado;
}




function cnvepochdate($epoch) {
	if (!$epoch) {
		return "";
	}
	$inicio_epoch=mktime("0","0","0","1","1","2005",0);
	$tmp=$inicio_epoch+($epoch*60);
	return date('j-M G:i',$tmp);
}
function cnvepochdatelargo($epoch) {
	if (!$epoch) {
		return "";
	}
	$inicio_epoch=mktime("0","0","0","1","1","2005",0);
	$tmp=$inicio_epoch+($epoch*60);
	return date('d/m/Y G:i',$tmp);
}

function cnvepochtimelargo($epoch) {
	if (!$epoch) {
		return "";
	}
	$inicio_epoch=mktime("0","0","0","1","1","2005",0);
	$tmp=$inicio_epoch+($epoch*60);
	return date('l dS \of F Y h:i:s A',$tmp);
}


?>